class Moto {

float acceleration = 0;
float velocite = 0;
float position = 0;

float vitesse  = 1.6;
float freinage = 0.015;
float throttle = 0.002;

float angle = 0;


/////////////////////////////////////////////////////////////////////
Moto() {}


///////////////////////////////////////////////////////////////////// 
void update() {
  // INPUT -> modifie ANGLE
    float incrementAngle = 0.03; // rapidite de mouvement de l'angle
    float angleMax = PI/4;
    if (toucheLeft || toucheRight) {
      if (toucheLeft)  { angle-= incrementAngle ;} 
      if (toucheRight) { angle+= incrementAngle ;}
    } // si pas d'input, l'angle revient a 0
    else {angle = tendreVers(0, angle, incrementAngle); }
    // clamp de l'angle
    angle = clamp(angle, -angleMax, angleMax);
    
    //if (toucheDown) {vitesse -= freinage;} else {vitesse+=throttle;}
    //vitesse = clamp(vitesse, 0, 2);
    //println(vitesse);
  
  // ANGLE -> modifie POSITION
  float friction = 0.21; // 0 -> glisse. 1 -> immobile
  acceleration = angle * vitesse;
  velocite += acceleration;
  velocite *= (1-friction);
  if (abs(velocite) <= 0.001) {velocite = 0;}
  position += velocite;
}


///////////////////////////////////////////////////////////////////// 
void modifPositionBy(float force) {
  position += 9.75*force; // 9.75 c'est la velocite max
}


///////////////////////////////////////////////////////////////////// 
void display() {
  int widthMoto = 8;
  int heightMoto = 52;
  fill(255, 255, 255); noStroke();
  rotatePivot(new PVector(position,0), angle);
  rectangle (
    new PVector(position-widthMoto/2, 0),
    new PVector(widthMoto, heightMoto)
  );
  deRotatePivot(new PVector(position,0), angle);
}


}
